OGRE: Ogre::RenderSystemCapabilitiesManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RenderSystemCapabilitiesManager Class Reference
Core » RenderSystem

Class for managing RenderSystemCapabilities database for Ogre. More...

`#include <OgreRenderSystemCapabilitiesManager.h>`

Inheritance diagram for Ogre::RenderSystemCapabilitiesManager:
[legend]

## Public Member Functions
| RenderSystemCapabilitiesManager ()
| Default constructor.
| ~RenderSystemCapabilitiesManager ()
| Default destructor.
void | _addRenderSystemCapabilities (const String &name, RenderSystemCapabilities *caps)
| Method used by RenderSystemCapabilitiesSerializer::parseScript.
const std::map< String, RenderSystemCapabilities * > & | getCapabilities () const
| Access to the internal map of loaded capabilities.
RenderSystemCapabilities * | loadCapabilitiesConfig (const String &filename)
| loads a custom capabilites config file
RenderSystemCapabilities * | loadParsedCapabilities (const String &name)
| Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.
void | parseCapabilitiesFromArchive (const String &filename, const String &archiveType, bool recursive=true)
Public Member Functions inherited from Ogre::Singleton< RenderSystemCapabilitiesManager >
| ~Singleton (void)

## Static Public Member Functions
static RenderSystemCapabilitiesManager & | getSingleton (void)
| Get the singleton instance.
static RenderSystemCapabilitiesManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< RenderSystemCapabilitiesManager >
static RenderSystemCapabilitiesManager & | getSingleton (void)
| Get the singleton instance.
static RenderSystemCapabilitiesManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Class for managing RenderSystemCapabilities database for Ogre.

Remarks
  This class behaves similarly to other ResourceManager, although .rendercaps are not resources. It contains and abstract a .rendercaps Serializer

## Constructor & Destructor Documentation

## ◆ RenderSystemCapabilitiesManager()

Ogre::RenderSystemCapabilitiesManager::RenderSystemCapabilitiesManager | ( |  | ) |

Default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~RenderSystemCapabilitiesManager()

Ogre::RenderSystemCapabilitiesManager::~RenderSystemCapabilitiesManager | ( |  | ) |

Default destructor.

## Member Function Documentation

## ◆ loadCapabilitiesConfig()

RenderSystemCapabilities * Ogre::RenderSystemCapabilitiesManager::loadCapabilitiesConfig | ( | const String & | filename | ) |

loads a custom capabilites config file

use with Root::useCustomRenderSystemCapabilities

Returns
  the configured RenderSystemCapabilities

## ◆ parseCapabilitiesFromArchive()

void Ogre::RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive | ( | const String & | filename,
|  | const String & | archiveType,
|  | bool | recursive = true )

See also
  ScriptLoader::parseScript

## ◆ loadParsedCapabilities()

RenderSystemCapabilities * Ogre::RenderSystemCapabilitiesManager::loadParsedCapabilities | ( | const String & | name | ) |

Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.

Returns
  NULL if the name is invalid, a parsed RenderSystemCapabilities otherwise.

## ◆ getCapabilities()

const std::map< String, RenderSystemCapabilities * > & Ogre::RenderSystemCapabilitiesManager::getCapabilities | ( |  | ) | const

Access to the internal map of loaded capabilities.

## ◆ _addRenderSystemCapabilities()

void Ogre::RenderSystemCapabilitiesManager::_addRenderSystemCapabilities | ( | const String & | name,
|  | RenderSystemCapabilities * | caps )

Method used by RenderSystemCapabilitiesSerializer::parseScript.

## ◆ getSingleton()

RenderSystemCapabilitiesManager & Ogre::RenderSystemCapabilitiesManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References RenderSystemCapabilitiesManager().

## ◆ getSingletonPtr()

RenderSystemCapabilitiesManager * Ogre::RenderSystemCapabilitiesManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References RenderSystemCapabilitiesManager().

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilitiesManager.h